# class Gtk::FileChooserDialog

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/file-chooser-dialog.rb, line 20
    def initialize(options={})
      GLib::Object.instance_method(:initialize).bind(self).call
      Loader.reference_gobject(self, :sink => true)

      title = options[:title]
      parent = options[:parent]
      action = options[:action] || :open
      buttons = options[:buttons]

      set_title(title) if title
      set_action(action) if action
      set_transient_for(parent) if parent

      add_buttons(*buttons) if buttons
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(options={})
Alias for: new